View a markdown version of this page

CreateTest - Next generation Resilience Hub

CreateTest

Creates a test for a service by configuring a test template. Each service has one test per template.

Request Syntax

POST /v2/create-test HTTP/1.1 Content-type: application/json { "loggingConfiguration": { "cloudWatchLogGroupArn": "string", "logSchemaVersion": "string", "s3BucketName": "string" }, "parameters": { "string" : [ "string" ] }, "roleName": "string", "serviceArn": "string", "stopConditions": [ { "source": "string", "value": "string" } ], "testTemplateArn": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

loggingConfiguration

The logging configuration for the test.

Type: LoggingConfiguration object

Required: No

parameters

The parameter values for the test.

Type: String to array of strings map

Map Entries: Minimum number of 0 items. Maximum number of 20 items.

Key Length Constraints: Minimum length of 1. Maximum length of 256.

Key Pattern: [\w.-]+

Array Members: Minimum number of 0 items. Maximum number of 10 items.

Length Constraints: Minimum length of 0. Maximum length of 1024.

Required: No

roleName

The name of the IAM execution role to use when running the test.

Type: String

Length Constraints: Minimum length of 2. Maximum length of 60.

Pattern: [A-Za-z0-9][A-Za-z0-9_\-]{1,59}

Required: No

serviceArn

The ARN of the service to create the test for.

Type: String

Length Constraints: Minimum length of 31.

Pattern: arn:(aws|aws-cn|aws-iso|aws-iso-[a-z]{1}|aws-us-gov):[A-Za-z0-9][A-Za-z0-9_/.-]{0,62}:([a-z]{2}-((iso[a-z]{0,1}-)|(gov-)){0,1}[a-z]+-[0-9]):[0-9]{12}:[A-Za-z0-9/][A-Za-z0-9:_/+.-]{0,1023}

Required: Yes

stopConditions

The stop conditions for the test.

Type: Array of StopCondition objects

Required: No

testTemplateArn

The ARN of the test template to configure.

Type: String

Length Constraints: Minimum length of 31.

Pattern: arn:(aws|aws-cn|aws-iso|aws-iso-[a-z]{1}|aws-us-gov):[A-Za-z0-9][A-Za-z0-9_/.-]{0,62}:([a-z]{2}-((iso[a-z]{0,1}-)|(gov-)){0,1}[a-z]+-[0-9]):([0-9]{12}|aws):[A-Za-z0-9/][A-Za-z0-9:_/+.-]{0,1023}

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "test": { "actions": [ { "actionId": "string", "description": "string", "resourceType": "string" } ], "creationTime": number, "loggingConfiguration": { "cloudWatchLogGroupArn": "string", "logSchemaVersion": "string", "s3BucketName": "string" }, "name": "string", "parameters": { "string" : [ "string" ] }, "roleName": "string", "serviceArn": "string", "stopConditions": [ { "source": "string", "value": "string" } ], "successfulTestRuns": number, "testId": "string", "testTemplateArn": "string", "totalTestRuns": number } }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

test

The created test.

Type: Test object

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

Access denied — caller lacks required permissions.

HTTP Status Code: 403

ConflictException

Conflict — resource already exists.

HTTP Status Code: 409

InternalServerException

Internal service error.

HTTP Status Code: 500

ResourceNotFoundException

Resource not found.

resourceId

The identifier of the resource that was not found.

resourceType

The type of the resource that was not found.

HTTP Status Code: 404

ValidationException

Validation error — invalid input parameters.

fieldList

The list of fields that failed validation.

reason

The reason for the validation failure.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: